Loading...
Searching...
No Matches
restinio::router::impl::route_params_appender_t Class Reference

Helper class for gthering parameters from route. More...

`#include <express.hpp>`

## Public Member Functions

| route_params_appender_t (route_params_t::named_parameters_container_t &named_parameters, route_params_t::indexed_parameters_container_t &indexed_parameters)
| route_params_appender_t (const route_params_appender_t &)=delete
| route_params_appender_t (route_params_appender_t &&)=delete
route_params_appender_t & | operator= (const route_params_appender_t &)=delete
route_params_appender_t & | operator= (route_params_appender_t &&)=delete
void | add_named_param (string_view_t key, string_view_t value)
void | add_indexed_param (string_view_t value)

## Private Attributes

route_params_t::named_parameters_container_t & | m_named_parameters
route_params_t::indexed_parameters_container_t & | m_indexed_parameters

## Detailed Description

Helper class for gthering parameters from route.

Definition at line 244 of file express.hpp.

## Constructor & Destructor Documentation

## route_params_appender_t() [1/3]

restinio::router::impl::route_params_appender_t::route_params_appender_t | ( | route_params_t::named_parameters_container_t & | named_parameters,
|  | route_params_t::indexed_parameters_container_t & | indexed_parameters
| ) |  |

inline

Definition at line 247 of file express.hpp.

## route_params_appender_t() [2/3]

restinio::router::impl::route_params_appender_t::route_params_appender_t | ( | const route_params_appender_t & |  | ) |

delete

## route_params_appender_t() [3/3]

restinio::router::impl::route_params_appender_t::route_params_appender_t | ( | route_params_appender_t && |  | ) |

delete

## Member Function Documentation

## add_indexed_param()

void restinio::router::impl::route_params_appender_t::add_indexed_param | ( | string_view_t | value | ) |

inline

Definition at line 266 of file express.hpp.

## add_named_param()

void restinio::router::impl::route_params_appender_t::add_named_param | ( | string_view_t | key,
|  | string_view_t | value
| ) |  |

inline

Definition at line 260 of file express.hpp.

## operator=() [1/2]

route_params_appender_t & restinio::router::impl::route_params_appender_t::operator= | ( | const route_params_appender_t & |  | ) |

delete

## operator=() [2/2]

route_params_appender_t & restinio::router::impl::route_params_appender_t::operator= | ( | route_params_appender_t && |  | ) |

delete

## Member Data Documentation

## m_indexed_parameters

route_params_t::indexed_parameters_container_t& restinio::router::impl::route_params_appender_t::m_indexed_parameters

private

Definition at line 273 of file express.hpp.

## m_named_parameters

route_params_t::named_parameters_container_t& restinio::router::impl::route_params_appender_t::m_named_parameters

private

Definition at line 272 of file express.hpp.

The documentation for this class was generated from the following file:

- restinio/router/express.hpp